# WbDependentModule

open class WbDependentModule : WbModuleEntry

A wtp descriptor dependent module entry.

## Constructors

WbDependentModule
Link copied to clipboard
constructor(node: Node)
constructor(deployPath: String, handle: String)
@Incubating
constructor(archiveName: String, deployPath: String, handle: String)
Constructor for WbDependentModule

## Properties

archiveName
Link copied to clipboard
@get:Incubating
@set:Incubating
open var archiveName: String
deployPath
Link copied to clipboard
open var deployPath: String
handle
Link copied to clipboard
open var handle: String

## Functions

appendNode
Link copied to clipboard
open fun appendNode(parentNode: Node)
equals
Link copied to clipboard
open fun equals(o: Any): Boolean
hashCode
Link copied to clipboard
open fun hashCode(): Int
toString
Link copied to clipboard
open fun toString(): String